package Profits::Schema::Result::Function;

use strict;
use warnings;

use base 'DBIx::Class::Core';

our $VERSION = 1;

__PACKAGE__->table('functions');

__PACKAGE__->add_columns(
    id => {
        data_type         => 'integer',
        is_auto_increment => 1,
        is_nullable       => 0,
        sequence          => 'uid_seq'
    },
    qw(
        user_id
        kind_id
        is_active
        begin
        end
        name
        description
        url
        income_reason
        income_amount
        income_currency
        income_is_brutto
        income_autofill
        income_autoapprove
        properties
    ),
);

__PACKAGE__->set_primary_key('id');

1;

