package Profits::Schema::Result::Profit;

use strict;
use warnings;

use base 'DBIx::Class::Core';

our $VERSION = 1;

__PACKAGE__->table('profits');

__PACKAGE__->add_columns(
    id => {
        data_type         => 'integer',
        is_auto_increment => 1,
        is_nullable       => 0,
        sequence          => 'uid_seq'
    },
    qw(
        user_id
        agent_id
        function_id
        created
        deleted
        year
        month
        reason
        amount
        currency
        is_brutto
        is_approved
        notes
    ),
);

__PACKAGE__->set_primary_key('id');

1;


